#!/usr/bin/env python
# -*- coding: utf-8 -*-

from distutils.core import setup

setup(name = "videoporama",
      version = "0.7.1",
      description = "Videoporama - Application to make video of image slideshow",
      author = "Ponchaut Olivier",
      author_email = "opvg@edpnet.be",
      url = "http://users.edpnet.be/opvg/videoporama/",
      data_files = [("./",["README",
                                      "INSTALL",
                                      "about.py",
                                      "configuration.py",
                                      "firsttime.py",
                                      "main_win.py",
                                      "start.py",
                                      "interface.py",
                                      "videoporama.py",
                                      "process.py",
                                      "showprogress.py",
                                      "statusconf.py",
                                      "warning.py"]),
                    ("locale",["locale/videoporama_fr.qm"]),
                    ("help", ["help/help_fr.pdf","help/help_en.pdf"]),
                    ("icons", ["icons/ok.png",
                                      "icons/add.png",
                                      "icons/arrow_left.png",
                                      "icons/arrow_right.png",
                                      "icons/bin.png",
                                      "icons/config.png",
                                      "icons/copy.png",
                                      "icons/cut.png",
                                      "icons/paste.png",
                                      "icons/delete.png",
                                      "icons/exit.png",
                                      "icons/new.png",
                                      "icons/nok.png",
                                      "icons/ok.png",
                                      "icons/tavbottom.png",
                                      "icons/text_align_center.png",
                                      "icons/text_align_left.png",
                                      "icons/text_align_right.png",
                                      "icons/text_bold.png",
                                      "icons/text_italic.png",
                                      "icons/text_underline.png",
                                      "icons/textfield_delete.png",
                                      "icons/undo.png",
                                      "icons/vcard_add.png",
                                      "icons/vcard_delete.png",
                                      "icons/vcard_edit.png",
                                      "icons/open.png",
                                      "icons/redo.png",
                                      "icons/save.png",
                                      "icons/videoporama.png",
                                      "icons/videoporama_big.png"]),
                       ("template",["template/idv_config.xml",
                                      "template/nullsound.wav",
                                      "template/template_data.idv"]),
                       ("luma",["luma/bar_bottom.png",
                                      "luma/bar_left.png",
                                      "luma/bar_right.png",
                                      "luma/bar_top.png",
                                      "luma/barn_bottomleft.png",
                                      "luma/barn_horz.png",
                                      "luma/barn_topleft.png",
                                      "luma/barn_vert.png",
                                      "luma/box_bottomcentre.png",
                                      "luma/box_bottomleft.png",
                                      "luma/box_bottomright.png",
                                      "luma/box_leftcentre.png",
                                      "luma/box_rightcentre.png",
                                      "luma/box_topcentre.png",
                                      "luma/box_topleft.png",
                                      "luma/box_topright.png",
                                      "luma/burst.png",
                                      "luma/checkerboard_small.png",
                                      "luma/clock.png",
                                      "luma/clock_clockwise12.png",
                                      "luma/clock_clockwise6.png",
                                      "luma/diag_bottomleft.png",
                                      "luma/diag_bottomright.png",
                                      "luma/diag_topleft.png",
                                      "luma/diag_topright.png",
                                      "luma/fourbox_in.png",
                                      "luma/fourbox_out.png",
                                      "luma/horizontal_barn_doors.png",
                                      "luma/horizontal_blinds.png",
                                      "luma/iris_circle.png",
                                      "luma/iris_rectangle.png",
                                      "luma/left_to_right.png",
                                      "luma/matrix_snake_toplefthorizontal.png",
                                      "luma/symmetric_clock.png"])],
      scripts = ["videoporama"],
      long_description = """
Videoporama is an application to make diaporama from images export in video file. It is written in Python using QT4 and the PyQt4 GUI toolkit.
"""          
      )